漏洞信息详情

FFmpeg ‘get_qcx’函数缓冲区溢出漏洞

  • CNNVD编号:CNNVD-201206-228
  • 危害等级: 中危
  • CVE编号: CVE-2012-0857
  • 漏洞类型: 缓冲区溢出
  • 发布时间: 1900-01-01
  • 威胁类型: 远程
  • 更新时间: 2012-08-21
  • 厂        商: ffmpeg
  • 漏洞来源: Oana Stratulat, am...

漏洞简介

FFmpeg是FFmpeg团队的一套可录制、转换以及流化音视频的完整解决方案。

FFmpeg 0.9.1之前版本中的libavcode内的J2K解析器(j2kdec.c)中的‘get_qcx’函数中存在多个缓冲区溢出漏洞。远程攻击者可利用该漏洞通过未明向量导致拒绝服务(应用崩溃)。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

http://git.videolan.org/?p=ffmpeg.git;a=shortlog;h=n0.9.1

参考网址

来源: MLIST

名称: [oss-security] 20120214 Re: CVE Requests for FFmpeg 0.9.1

链接:http://www.openwall.com/lists/oss-security/2012/02/14/4

来源: MLIST

名称: [oss-security] 20120201 Re: CVE Requests for FFmpeg 0.9.1

链接:http://www.openwall.com/lists/oss-security/2012/02/01/11

来源: ffmpeg.org

链接:http://ffmpeg.org/security.html

来源: BID

名称: 51307

链接:http://www.securityfocus.com/bid/51307 来源:NSFOCUS 名称:18440 链接:http://www.nsfocus.net/vulndb/18440

漏洞信息快速查询

相关漏洞

更多